Name: x11-driver-input
Version: 6.0.0
Release: %mkrel 5
Summary: X11 input drivers
Group: System/X11
License: GPLv2

Requires: x11-driver-input-libinput
# doesn't actually enables to use joysticks:
#Requires: x11-driver-input-joystick
#Requires: x11-driver-input-void
Requires: x11-driver-input-wacom

# Obsoleted by libinput:
#Requires: x11-driver-input-evdev
#Requires: x11-driver-input-synaptics
# Obsoleted by evdev (and thus by libinput):
#Requires: x11-driver-input-keyboard
#Requires: x11-driver-input-mouse

# Old unmaintained/unused drivers:
#Requires: x11-driver-input-acecad
#Requires: x11-driver-input-fpit
#Requires: x11-driver-input-hyperpen
#Requires: x11-driver-input-mutouch
#Requires: x11-driver-input-penmount

# Not needed by default:
#Requires: x11-driver-input-evtouch

Obsoletes: x11-driver-input-aiptek
Obsoletes: x11-driver-input-calcomp
Obsoletes: x11-driver-input-digitaledge
Obsoletes: x11-driver-input-dmc
Obsoletes: x11-driver-input-dynapro
Obsoletes: x11-driver-input-elo2300
Obsoletes: x11-driver-input-elographics
Obsoletes: x11-driver-input-jamstudio
Obsoletes: x11-driver-input-magellan
Obsoletes: x11-driver-input-magictouch
Obsoletes: x11-driver-input-microtouch
Obsoletes: x11-driver-input-palmax
Obsoletes: x11-driver-input-spaceorb
Obsoletes: x11-driver-input-summa
Obsoletes: x11-driver-input-tek4957
Obsoletes: x11-driver-input-ur98
#Obsoletes: x11-driver-input-wiimote

%description
Meta-package which requires all X11 input drivers

%files


%changelog
* Sat Jan 28 2017 tv <tv> 6.0.0-5.mga6
+ Revision: 1083869
- do not pull useless joystick driver by default

* Thu Dec 01 2016 tv <tv> 6.0.0-4.mga6
+ Revision: 1071425
- also do not install void driver by default
- do not requires old unmaintained unused drivers
- do not obsolete x11-driver-input-wiimote in case someone wants to install it

* Thu Nov 17 2016 tv <tv> 6.0.0-3.mga6
+ Revision: 1067848
- obsoletes commented out x11-driver-input-aiptek
- stop requiring x11-driver-input-keyboard + mouse (long obsoleted)

* Sun Sep 04 2016 tv <tv> 6.0.0-2.mga6
+ Revision: 1049992
- no more require x11-driver-input-evdev & x11-driver-input-synaptics

* Sat Jul 23 2016 tmb <tmb> 6.0.0-1.mga6
+ Revision: 1043324
- bump ver for mga6

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.0.0-22.mga6
+ Revision: 902142
- do not require input-aiptek

* Sun Jun 21 2015 tv <tv> 1.0.0-21.mga6
+ Revision: 837682
- requires x11-driver-input-libinput

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-20.mga5
+ Revision: 744235
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-19.mga5
+ Revision: 690395
- Mageia 5 Mass Rebuild

* Sun Jan 05 2014 pterjan <pterjan> 1.0.0-18.mga4
+ Revision: 564828
- Fix release to be higher than current one
- Set a valid licence tag (not that there is any content)

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 tv <tv> 1.0.0-2.mga3.nonfree
+ Revision: 289350
- rebuild for new xserver

* Tue Dec 06 2011 tmb <tmb> 1.0.0-17.mga2
+ Revision: 177737
- submit to core/release

* Sat Mar 05 2011 tmb <tmb> 1.0.0-16.mga1
+ Revision: 65057
- drop x11-driver-input-citron (marked broken and unmaintained upstream)

* Fri Mar 04 2011 tv <tv> 1.0.0-15.mga1
+ Revision: 64368
- rebuild for new xserver-1.10

* Sun Feb 13 2011 tmb <tmb> 1.0.0-14.mga1
+ Revision: 51230
- disable requires for x11-driver-input-citron as its broken

* Fri Feb 11 2011 tmb <tmb> 1.0.0-13.mga1
+ Revision: 50113
- imported package x11-driver-input

